LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-09-2003, 10:46 PM   #1
true_atlantis
Member
 
Registered: Oct 2003
Distribution: fedora cor 5 x86_64
Posts: 639

Rep: Reputation: 30
What does this mean, installing mplayer rpm


[root@localhost Download]# rpm -U mplayer1.0-1.0-0.pre2.6plf.i586.rpm
error: failed dependencies:
xanim-codecs is needed by mplayer1.0-1.0-0.pre2.6plf
real-codecs is needed by mplayer1.0-1.0-0.pre2.6plf
win32-codecs >= 1.3 is needed by mplayer1.0-1.0-0.pre2.6plf
libpostproc1.0_0 = 1.0 is needed by mplayer1.0-1.0-0.pre2.6plf
libdha1.0_0.1 = 1.0 is needed by mplayer1.0-1.0-0.pre2.6plf
libdivxdecore.so.0 is needed by mplayer1.0-1.0-0.pre2.6plf
libdv.so.2 is needed by mplayer1.0-1.0-0.pre2.6plf
libggi.so.2 is needed by mplayer1.0-1.0-0.pre2.6plf
libgg.so.0 is needed by mplayer1.0-1.0-0.pre2.6plf
libgii.so.0 is needed by mplayer1.0-1.0-0.pre2.6plf
liblirc_client.so.0 is needed by mplayer1.0-1.0-0.pre2.6plf
liblzo.so.1 is needed by mplayer1.0-1.0-0.pre2.6plf
libpostproc.so.0 is needed by mplayer1.0-1.0-0.pre2.6plf
libxvidcore.so is needed by mplayer1.0-1.0-0.pre2.6plf
libdha.so.0.1 is needed by mplayer1.0-1.0-0.pre2.6plf


what does htis mean? how can i fix it?
 
Old 11-09-2003, 10:47 PM   #2
slakmagik
Senior Member
 
Registered: Feb 2003
Distribution: Slackware
Posts: 4,113

Rep: Reputation: Disabled
Looks like you forgot to download the codecs for mplayer. Dunno about rpms - it was a second tar.gz, so I guess it's also a second .rpm.
 
Old 11-09-2003, 11:05 PM   #3
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
It means you need to install a few more packages (known as dependency hell...). Go to
http://plf.zarb.org/~nanardon/urpmiweb.php
and setup PLF as one of your urpmi sources. Then do (as root)
urpmi mplayer
This will download the mplayer and whatever other package it needs and install them.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
RPM errors with Mplayer Kentonn Linux - General 4 05-17-2004 07:00 AM
installing mplayer gui from rpm jdmar Fedora 5 04-27-2004 04:29 PM
Installing Mplayer From Rpm true_atlantis Linux - Newbie 2 11-10-2003 05:27 AM
How to install mplayer gui after installing mplayer kaega2 Linux - Software 5 10-07-2003 10:44 AM
mplayer .src.rpm installing problems Harp00 Linux - Newbie 0 09-25-2003 03:29 PM


All times are GMT -5. The time now is 11:47 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration